.\" Author: Sean Robinson <robinson@tuxfamily.org>
.\" Copyright 2005 by Nicolas Brouard <nicolas.brouard@libertysurf.fr>
.\" Copyright 2009,2014 by Sean Robinson
.\" -----------------------------------------------------------------
.
.TH wifi-radar 1 "July 2009" "WiFi Radar 2.0"
.
.SH NAME
.
WiFi Radar \- utility for managing WiFi profiles
.
.SH SYNOPSIS
.
.B wifi-radar
[\fIOPTION\fR]...
.
.SH DESCRIPTION
.
.B WiFi Radar
is a PyGTK2 utility for managing WiFi profiles.
.PP
It will look for the config file in
.B /etc/wifi-radar/wifi-radar.conf.
You can change that in wifi-radar.
.PP
If the configuration file does not exist, it will create it, so you
must always run it within a correctly permitted account (as root or use
sudo or pam).
.PP
Recent versions partially implement WPA-TKIP with wpa_supplicant. You
need a running wpa_supplicant installation with a
/etc/wpa_supplicant/wpa_supplicant.conf file.  Then by setting in your
/etc/wifi-radar/wifi-radar.conf file the "use_wpa = yes" option and
"wpa_driver = ipw" for example, wpa_supplicant will be launched when
you connect using this profile.
.PP
But currently you can't set your wpa_supplicant options like the psk,
proto, key_mgmt etc. using
.B wifi-radar.
Your wpa_supplicant
configuration file should be set and tested already. If you have
different networks set in wpa_supplicant.conf, then you can switch using
wifi-radar.
.PP
The
.B wifi-radar
script accepts the following command-line options:
.
.SH OPTIONS
.
.TP 8
\fB\-v\fR, \fB\-\-version\fR for printing the version.
.
.SH FILES
.
.TP 8
.B /etc/wifi-radar/wifi-radar.conf
See
.i wifi-radar.conf(5)
for more information.
.
.SH BUGS
.
Probably lots!
.PP
Because of repeated scanning, WiFi Radar is very power consuming.
.PP
Please report bugs to the mailing list
<https://lists.anl.gov/mailman/listinfo/wifi-radar>
.
.SH MORE INFORMATION
.
The GIT repository is available at
https://gitorious.org/wifi-radar/wifi-radar
.PP
If you have questions, visit http://wifi-radar.tuxfamily.org/
.
.SH AUTHOR
.
This Python program was originally written by Ahmad Baitaimal
<ahmad@bitbuilder.com>.  It has been maintained at various times by
Brian Elliott Finley <brian@thefinleys.com> and Sean Robinson
<robinson@tuxfamily.org>.  Contributions have been provided by:
.IP \(bu 4
Douglas Breault <genkreton@comcast.net>
.IP \(bu 4
Nicolas Brouard <nicolas.brouard@libertysurf.fr>
.IP \(bu 4
Gary Case <gcase@redhat.com>
.IP \(bu 4
Jon Collette <jonc@etelos.com>
.IP \(bu 4
David Decotigny <com.d2@free.fr>
.IP \(bu 4
Simon Gerber <gesimu@gmail.com>
.IP \(bu 4
Joey Hurst <jhurst@lucubrate.org>
.IP \(bu 4
Ante Karamatic <ivoks@ubuntu.com>
.IP \(bu 4
Richard Monk <rmonk@redhat.com>
.IP \(bu 4
Kevin Otte <kotte@redhat.com>
.IP \(bu 4
Nathanael Rebsch <nathanael@dihedral.de>
.IP \(bu 4
Andrea Scarpino <andrea@archlinux.org>
.IP \(bu 4
Patrick Winnertz <winnie@debian.org>
.
.SH SEE ALSO
.
.I wifi-radar.conf(5)
.I wpa_supplicant(8)
.
